package com.mortals.xhx.module.attendance.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.attendance.model.vo.AttendanceStaffStatVo;
/**
* 考勤人员汇总信息实体对象
*
* @author zxfei
* @date 2023-04-08
*/

public class AttendanceStaffStatEntity extends AttendanceStaffStatVo {
    private static final long serialVersionUID = 1L;

    /**
    * 员工ID
    */
    private Long staffId;
    /**
    * 员工姓名
    */
    private String staffName;
    /**
    * 考勤汇总信息，如迟到*1,旷工*2等
    */
    private String attendanceSummary;
    /**
    * 年
    */
    private Integer year;
    /**
    * 月
    */
    private Integer month;
    /**
    * 日
    */
    private Integer day;
    /**
    * 备注
    */
    private String remark;



    public AttendanceStaffStatEntity(){}
    /**
    * 获取 员工ID
    * @return Long
    */
    public Long getStaffId(){
        return staffId;
    }
    /**
    * 设置 员工ID
    * @param staffId
    */
    public void setStaffId(Long staffId){
        this.staffId = staffId;
    }
    /**
    * 获取 员工姓名
    * @return String
    */
    public String getStaffName(){
        return staffName;
    }
    /**
    * 设置 员工姓名
    * @param staffName
    */
    public void setStaffName(String staffName){
        this.staffName = staffName;
    }
    /**
    * 获取 考勤汇总信息，如迟到*1,旷工*2等
    * @return String
    */
    public String getAttendanceSummary(){
        return attendanceSummary;
    }
    /**
    * 设置 考勤汇总信息，如迟到*1,旷工*2等
    * @param attendanceSummary
    */
    public void setAttendanceSummary(String attendanceSummary){
        this.attendanceSummary = attendanceSummary;
    }
    /**
    * 获取 年
    * @return Integer
    */
    public Integer getYear(){
        return year;
    }
    /**
    * 设置 年
    * @param year
    */
    public void setYear(Integer year){
        this.year = year;
    }
    /**
    * 获取 月
    * @return Integer
    */
    public Integer getMonth(){
        return month;
    }
    /**
    * 设置 月
    * @param month
    */
    public void setMonth(Integer month){
        this.month = month;
    }
    /**
    * 获取 日
    * @return Integer
    */
    public Integer getDay(){
        return day;
    }
    /**
    * 设置 日
    * @param day
    */
    public void setDay(Integer day){
        this.day = day;
    }
    /**
    * 获取 备注
    * @return String
    */
    public String getRemark(){
        return remark;
    }
    /**
    * 设置 备注
    * @param remark
    */
    public void setRemark(String remark){
        this.remark = remark;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AttendanceStaffStatEntity) {
            AttendanceStaffStatEntity tmp = (AttendanceStaffStatEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",staffId:").append(getStaffId());
        sb.append(",staffName:").append(getStaffName());
        sb.append(",attendanceSummary:").append(getAttendanceSummary());
        sb.append(",year:").append(getYear());
        sb.append(",month:").append(getMonth());
        sb.append(",day:").append(getDay());
        sb.append(",remark:").append(getRemark());
        return sb.toString();
    }

    public void initAttrValue(){

            this.staffId = null;

            this.staffName = "";

            this.attendanceSummary = "";

            this.year = null;

            this.month = null;

            this.day = null;

            this.remark = "";
    }
}